Summary: PostScript interpreter and renderer
Name: ghostscript
%define version	4.03
Version: %{version}
Release: 4
Copyright: GPL
#Icon: ghost.gif
Group: Applications/Graphics
Source0: prep.ai.mit.edu:/pub/gnu/ghostscript-%{version}.tar.gz
Source1: prep.ai.mit.edu:/pub/gnu/ghostscript-%{version}jpeg.tar.gz
Patch0: ghostscript-%{version}-config.patch
Patch1: ghostscript-%{version}-png.patch
Patch2: ghostscript-4.03-mkstemp-LD_RUN_PATH.patch
Patch3: ghostscript-4.03-PARANOIDSAFER.patch
Requires: ghostscript-fonts
Summary(de): PostScript-Interpreter und Renderer
Summary(fr): Interprteur et visualisateur PostScript
Summary(tr): PostScript yorumlayc ve gsterici
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a PostScript interpretor. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for color printers), and popular graphics
file formats.

%description -l de
Ghostscipt ist ein PostScript-Interpretierer. Er kann sowohl PostScript als
auch PDF-konforme Dateien an Gerte ausgeben, zu denen ein X-Fenster, 
viele Druckerformate (einschlielich Support fr Farbdrucker) und gngige
Grafikdateiformate zhlen.

%description -l fr
Ghostscript est un interprteur PostScript. Il peut rendre des fichiers
PostScript ou PDF sur des priphriques dont une fentre X,de nombreux
types d'imprimantes (dont un support pour imprimantes couleur), et des
formats de fichiers graphiques populaires.

%description -l tr
GhostScript, PostScript ve PDF uyumlu dosyalar, X penceresinde gsterebilir
ve birok yazcnn (renkli yazclar dahil) basabilecei biime getirebilir.

%prep
%setup -q -n gs%{version}
%setup -q -T -D -a 1 -n gs%{version}
%patch0 -p1 -b .config
ln -s unix-gcc.mak Makefile
%patch1 -p1 -b .png
%patch2 -p1 -b .mkstemp-LD_RUN_PATH

# Implement -dPARANOIDSAFER so that we can breath a bit easier in the spooler.
%patch3 -p1 -b .PARANOIDSAFER

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,doc}
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
strip $RPM_BUILD_ROOT/usr/bin/gs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/doc/ghostscript-%{PACKAGE_VERSION}
/usr/bin/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{PACKAGE_VERSION}
/usr/share/ghostscript/%{PACKAGE_VERSION}/*ps
%config /usr/share/ghostscript/%{version}/Fontmap
/usr/share/ghostscript/%{PACKAGE_VERSION}/examples
/usr/man/*/*

%changelog
* Mon Oct 01 2001 Crutcher Dunnavant <crutcher@redhat.com> 4.03-4
- change -dPARANOIDSAFER to punch a hole for OutputFile

* Tue Sep 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 4.03-3
- implemented -dPARANOIDSAFER to close some information holes.

* Tue Nov 21 2000 Crutcher Dunnavant <crutcher@redhat.com> 4.03-2
- applied a variant of Dr. Werner Fink's mkstemp patch, closing
- a predictable mktemp name hole, as well as a LD_LIB_PATH hole.

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com> 4.03-1
- updated to 4.03.

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- enabled more printer drivers
- buildroot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Made /usr/share/ghostscript/3.33/Fontmap a config file.
